"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const debug = require("debug");
const get_data_1 = require("../get-data");
const log = debug('phox:handlers:album');
exports.getAlbumApiData = (config, albumName) => __awaiter(this, void 0, void 0, function* () {
    log('Get data for album "%s".', albumName);
    const albumDir = `${config.contentDir}/${config.albumsDir}/${albumName}/`;
    const albumFile = `${albumDir}index.md`;
    const [content, images] = yield Promise.all([
        get_data_1.getPageContent(albumFile, `${config.albumsDir}/`),
        get_data_1.getImages(config.albumsDir, albumName),
    ]);
    return { content, images };
});
exports.default = (config) => (req, res) => __awaiter(this, void 0, void 0, function* () {
    log('Render album "%s" for request %O', req.path, req.params);
    const album = yield exports.getAlbumApiData(config, req.params.album);
    if (!album) {
        res.status(404).json({ message: 'Not found' });
        return;
    }
    res.json(album);
});
