"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const debug = require("debug");
const get_data_1 = require("../get-data");
const log = debug('phox:handlers:page');
exports.getPageApiData = (config, page) => __awaiter(this, void 0, void 0, function* () {
    const filePath = `${config.contentDir}/${page}/index.md`;
    try {
        return get_data_1.getPageContent(filePath);
    }
    catch (_a) {
        return;
    }
});
exports.default = (config) => (req, res) => __awaiter(this, void 0, void 0, function* () {
    log('Render page "%s" for request %O', req.path, req.params);
    const content = yield exports.getPageApiData(config, req.params.page);
    if (content) {
        res.json(content);
        return;
    }
    res.status(404).send('Nothing found');
});
