"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const debug = require("debug");
const util_1 = require("../util");
// TOOD: use ESModule syntax
const globby = require('globby');
const log = debug('phox:handlers:page-view');
exports.default = (config, app, view) => (req, res, next) => __awaiter(this, void 0, void 0, function* () {
    log('Render page view "%s" for request %O', req.path, req.params);
    const globPatterns = util_1.getGlobPatterns(config);
    const pages = yield globby(globPatterns.pages, {
        ignore: [globPatterns.albums],
    });
    const pageNames = pages
        .map((pathname) => pathname
        .replace(`${config.contentDir}/`, '')
        .replace(/\/?index\.md$/, ''))
        .filter(Boolean);
    if (!pageNames.includes(req.params.page)) {
        next();
        return;
    }
    return app.render(req, res, view, req.params);
});
