"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const get_data_1 = require("../get-data");
const noResult = (res) => {
    res.status(404).json({ message: 'Not found' });
};
exports.default = (req, res) => __awaiter(this, void 0, void 0, function* () {
    const tagSlug = req.params.tag;
    if (!tagSlug) {
        return noResult(res);
    }
    const data = yield get_data_1.getDataforTag(tagSlug);
    if (!data) {
        return noResult(res);
    }
    res.json(data);
});
